<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] ?: array()) + array("_7a7cffa4d53ef9ebe071" . "45b1a5bf3d85" => base64_decode("L2ludHJhbmV0L2R" . "vY3VtZW50cy9pbW" . "FnZXMvbWFya2VyL" . "mdpZg=="), "_f1a1c12258c339" . "542b5f89ca976d3" . "5f1" => base64_decode("VVBEQVRFIEVSTVNfZGF0YSBTRVQgZGF0ZV9sYXN0X2FjY2Vzc2VkPWludDpkYXRlIFdIRVJFIGlk" . "PWludDppZA=="), "_aed8da0f19091214b78f80351048" . "517c" => base64_decode("c3RybGV" . "u"), "_5e9a99dc0dd49b907" . "abf1b35e96965f8" => base64_decode("dHJpbQ" . "=="), "_4ca36bbc8" . "44fd9e04b9" . "1f8a27c589" . "890" => base64_decode("Z2x5cGhpY29ucyBnbHlwaGljb25zLW1" . "hcA=="), "_bc9f5b3" . "b6a495ee" . "55ebb715" . "8ab184dc" . "4" => base64_decode("VVBEQVRFIEVSTVNfZGF0YSBTRVQgdGl0bGU9c3RyOnRpdGxlIFdIRV" . "JFIGlkPWludDppZA=="), "_b969b955d1355379880c0b97" . "b2e4f679" => base64_decode("Y2ZnX21hcmtlcl9hdXRvX2dlbmVyY" . "XRpb25fcHJlZml4"));
use Claromentis\Core\Services;
use Claromentis\Documents\DocumentsApplication;
use Claromentis\Search\Indexing\IndexingQueue;





class ERMSMarker extends ERMSDataObj
{
    
    
    
    
    public function __construct()
    {
        parent::__construct(DOC_TYPE_MARKER);
    }
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    public function Load($id, $_becefc630ea26637f10f240476e32255 = false)
    {
        $db = \Claromentis\Core\Services::I()->GetDb();
        if (!parent::Load($id, $_becefc630ea26637f10f240476e32255)) {
            return false;
        }
        $this->date_last_accessed = new Date();
        $db->unsafe_query = true;
        $db->query($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_f1a1c12258c339542b5f89ca9" . "76d35f1"], $this->GetDate($this->date_last_accessed), $id);
        return true;
    }
    
    
    
    
    
    
    
    public function Save()
    {
        $db = Services::I()->GetDb();
        $_b34ab5f1ac69818b996067e04caa4631 = DocumentsApplication::getConfig();
        $_b969b955d1355379880c0b97b2e4f679 = $_b34ab5f1ac69818b996067e04caa4631->Get($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_b969b955d1355379880c0" . "b97b2e4f679"]);
        if (!parent::Save()) {
            return false;
        }
        if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_aed8da0f19" . "091214b78f8" . "0351048517c"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_5e9a99dc0dd49b907a" . "bf1b35e96965f8"]($this->title)) > 0) {
            $title = $_b969b955d1355379880c0b97b2e4f679 . $this->doc_id;
            $db->query($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_bc9f5b3b6" . "a495ee55eb" . "b7158ab184" . "dc4"], $title, $this->id);
        }
        IndexingQueue::Reindex($this->GetSearchType(), $this->doc_id);
        return true;
    }
    
    
    
    
    
    
    public function GetSmallIconUrl()
    {
        return $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_7a7cffa4d53e" . "f9ebe07145b1a" . "5bf3d85"];
    }
    
    
    
    
    
    
    public function GetSmallIconCSSClass()
    {
        return $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_4ca36bbc844f" . "d9e04b91f8a27" . "c589890"];
    }
    protected function _NewObject()
    {
        return new ERMSMarker();
    }
}